## Class Clavier

- java.lang.Object
- - Clavier

-     public class Clavier
      extends java.lang.Object

  Fonctions de saisie clavier.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static char` | `attendreCaractere()` Attente de la frappe au clavier d'une touche.
    `static byte` | `saisirByte()` Saisie au clavier d'une valeur de type byte (octet).
    `static char` | `saisirChar()` Saisie au clavier d'une valeur de type char (caractère).
    `static double` | `saisirDouble()` Saisie au clavier d'une valeur de type double (réel double précision (sur 8 octets)).
    `static float` | `saisirFloat()` Saisie au clavier d'une valeur de type float (réel simple précision (sur 4 octets)).
    `static int` | `saisirInt()` Saisie au clavier d'une valeur de type int (entier sur 4 octets).
    `static long` | `saisirLong()` Saisie au clavier d'une valeur de type long (entier sur 8 octets).
    `static short` | `saisirShort()` Saisie au clavier d'une valeur de type short (entier sur 2 octets).
    `static java.lang.String` | `saisirString()` Saisie au clavier d'une valeur de type chaine de caractères.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### saisirByte

          public static byte saisirByte()

      Saisie au clavier d'une valeur de type byte (octet). Vérification de l'information saisie et nouvelle sollicitation tant qu'elle ne correspond pas à une valeur de type byte.
      Returns:
        Le byte saisi au clavier.

    - #### saisirShort

          public static short saisirShort()

      Saisie au clavier d'une valeur de type short (entier sur 2 octets). Vérification de l'information saisie et nouvelle sollicitation tant qu'elle ne correspond pas à une valeur de type short.
      Returns:
        Le short saisi au clavier.

    - #### saisirInt

          public static int saisirInt()

      Saisie au clavier d'une valeur de type int (entier sur 4 octets). Vérification de l'information saisie et nouvelle sollicitation tant qu'elle ne correspond pas à une valeur de type int.
      Returns:
        Le int saisi au clavier.

    - #### saisirLong

          public static long saisirLong()

      Saisie au clavier d'une valeur de type long (entier sur 8 octets). Vérification de l'information saisie et nouvelle sollicitation tant qu'elle ne correspond pas à une valeur de type long.
      Returns:
        Le long saisi au clavier.

    - #### saisirDouble

          public static double saisirDouble()

      Saisie au clavier d'une valeur de type double (réel double précision (sur 8 octets)). Vérification de l'information saisie et nouvelle sollicitation tant qu'elle ne correspond pas à une valeur de type double.
      Returns:
        Le double saisi au clavier.

    - #### saisirFloat

          public static float saisirFloat()

      Saisie au clavier d'une valeur de type float (réel simple précision (sur 4 octets)). Vérification de l'information saisie et nouvelle sollicitation tant qu'elle ne correspond pas à une valeur de type float.
      Returns:
        Le float saisi au clavier.

    - #### saisirChar

          public static char saisirChar()

      Saisie au clavier d'une valeur de type char (caractère). Vérification de l'information saisie et nouvelle sollicitation tant qu'elle ne correspond pas à une valeur de type char.
      Returns:
        Le char saisi au clavier.

    - #### saisirString

          public static java.lang.String saisirString()

      Saisie au clavier d'une valeur de type chaine de caractères. Verification de l'information saisie et nouvelle sollicitation tant qu'elle ne correspond pas à une valeur de type chaine de caractères.
      Returns:
        La String saisie au clavier.

    - #### attendreCaractere

          public static char attendreCaractere()

      Attente de la frappe au clavier d'une touche.
      Returns:
        Le caractere saisi au clavier.